=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=glacier-calc
pkgver=0.3.3
pkgrel=2
pkgdesc="Nemo calculator"
arch=('x86_64')
url="https://github.com/nemomobile-ux/glacier-calc"
license=('LGPL')
depends=('qt5-quickcontrols-nemo')
makedepends=('cmake' 'qt5-tools')
source=("https://github.com/nemomobile-ux/glacier-calc/archive/$pkgver/$pkgname-$pkgver.tar.gz")
sha512sums=('16f94492e5b2b1f0863deb1fd5a036f4c56698fcdb276dfa4c1c90638c1b73d2a9620265bff033c6e21a52168c0c458bf3d7e2b557c474b219a2bf4a3fead950')

build(){
  cd $pkgname-$pkgver

  cmake -DCMAKE_INSTALL_PREFIX=/usr .
  make
}

package() {
  cd $pkgname-$pkgver
  make DESTDIR="$pkgdir" install
}
